=== debian/changelog ===
juffed (0.8.1-1) unstable; urgency=low

  * Initial release. (Closes: #589925)
  * debian/patches/static.patch:
    - Build libjuff as a static library for now, so it does not install
      files into /usr/lib and juffed is the only package using it. When
      we package plugins, we can consider moving it out.

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 22 Jul 2010 15:01:58 +0700
