=== debian/control ===
Source: juffed
Section: editors
Priority: optional
Maintainer: Maia Kozheva <sikon@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, chrpath, libqt4-dev (>= 4.2),
 libqscintilla2-dev (>= 2.1)
Standards-Version: 3.9.0
Homepage: http://juffed.sourceforge.net

Package: juffed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Qt 4 text editor
 JuffEd is a simple, cross-platform text editor written using the Qt 4 toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
