=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=-Wl,--as-needed

%:
	dh --buildsystem=cmake $@

override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/juffed/usr/bin/juffed
