=== macosx/CMakeLists.txt ===
if (APPLEBUNDLE_STANDALONE)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/bundle.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/bundle.cmake @ONLY)
    install(SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/bundle.cmake)
endif (APPLEBUNDLE_STANDALONE)
