=== plugins/terminal/qtermwidget/CMakeLists.txt ===
###| Cmake qtermwidget |###

#| Setting required version
cmake_minimum_required( VERSION 2.4 )

#| Project
project( qtermwidget )

subdirs( 
	lib
	src
)
