=== debian/changelog ===
juffed (0.9.1137-1ubuntu6) wily; urgency=medium

  * No change rebuild for libqscintilla2-12v5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 21:31:58 +0200

juffed (0.9.1137-1ubuntu5) wily; urgency=medium

  * No change rebuild for libqscintilla2-12

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 12 Jul 2015 23:24:50 -0500

juffed (0.9.1137-1ubuntu4) vivid; urgency=medium

  * Do not use lib64 on Ubuntu (LP: #874479).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 04 Nov 2014 18:40:29 +0300

juffed (0.9.1137-1ubuntu3) trusty; urgency=low

  * No change rebuild for libqscintilla2-11 transition

 -- Scott Kitterman <scott@kitterman.com>  Tue, 18 Feb 2014 23:54:44 -0500

juffed (0.9.1137-1ubuntu2) raring; urgency=low

  * No change rebuild for libqscintilla2-9 transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Mar 2013 08:44:41 -0500

juffed (0.9.1137-1ubuntu1) quantal; urgency=low

  * Fix FTBFS, patches by Johannes Brandstätter <jbrandstaetter@gmail.co>.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 28 Sep 2012 22:07:07 +0400

juffed (0.9.1137-1build1) precise; urgency=low

  * Rebuild for libqscintilla2-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Nov 2011 17:48:43 +0000

juffed (0.9.1137-1) experimental; urgency=low

  * New upstream release.
  * Remove debian/juffed.1, added upstream (in debian.in).
  * Remove debian/patches/static.patch: we can now bundle the .so after
    upstream has resolved soname issues.
  * debian/control:
    - Bump Standards-Version to 0.9.2.
    - Update homepage.
    - Do not build-depend on chrpath, not needed anymore.
  * debian/rules:
    - Remove chrpath rule, not needed anymore.
  * Add juffed-dev and juffed-plugins packages.
  * Do not install the libkeybindings.so plugin: causes a segfault on my
    amd64 machine.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 30 Apr 2011 13:43:26 +0700
