=== debian/watch ===
version=3
http://sf.net/juffed/juffed_(.+)\.tar\.gz
