## juffed 0.10-85-g5ba17f9

=== debian/changelog ===
juffed (0.10-85-g5ba17f9-9) unstable; urgency=medium

  * Following the Multiarch hinter
    - Marked juffed-plugins Multi-Arch: same
    - Marked libjuff0.10 Multi-Arch: same
    - libjuffed-engine-qsci0.10 Multi-Arch: same

 -- Alf Gaida <agaida@siduction.org>  Tue, 27 Sep 2016 23:11:37 +0200

juffed (0.10-85-g5ba17f9-8) unstable; urgency=medium

  * Set build language in rules: export LC_ALL=C.UTF-8

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Sep 2016 16:35:52 +0200

juffed (0.10-85-g5ba17f9-7) unstable; urgency=medium

  * Fixed typo in changelog

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Sep 2016 04:06:51 +0200

juffed (0.10-85-g5ba17f9-6) unstable; urgency=medium

  * Bump compat to 10
  * Bump build dependency debhelper (>=10)
  * set --builddirectory=./build, hopefully make the package reproducible

 -- Alf Gaida <agaida@siduction.org>  Sun, 18 Sep 2016 17:25:40 +0200

juffed (0.10-85-g5ba17f9-5) unstable; urgency=medium

  * Fixed symbols for armel and armhf, since gcc 6.2 seems to create
    different symbols than its predecessor 

 -- Alf Gaida <agaida@siduction.org>  Fri, 26 Aug 2016 01:06:39 +0200

juffed (0.10-85-g5ba17f9-4) unstable; urgency=medium

  * Cherry-picked changes from experimental
  * Switch to unstable

 -- Alf Gaida <agaida@siduction.org>  Thu, 25 Aug 2016 19:52:11 +0200

juffed (0.10-85-g5ba17f9-3) experimental; urgency=medium

  * Added missed blank in symbols

 -- Alf Gaida <agaida@siduction.org>  Tue, 23 Aug 2016 21:37:35 +0200

juffed (0.10-85-g5ba17f9-2) experimental; urgency=medium

  * Fixed symbols - symbol not in powerpc

 -- Alf Gaida <agaida@siduction.org>  Tue, 23 Aug 2016 19:22:28 +0200

juffed (0.10-85-g5ba17f9-1) experimental; urgency=medium

  * Adding upstream version 0.10-85-g5ba17f9.
    (Closes: #742580, #675293, #688483, #798065, #812133, #591398) 
  * Switch to experimental
  * README.debian added
  * Deleted not needed debian/patches
  * Bump compat to 9
  * Renamed install to juffed.install
  * Added debian/.gitignore
  * New maintainer: LXQt Packaging Team (Closes: #829319)
  * Added myself to Uploaders
  * Added ChangZhuo Chen to Uploaders
  * Bump Standards to 3.9.8, no changes needed
  * Added Homepage
  * Added secure VCS-Fields
  * Updated build dependencies for Qt 5
  * Updated package descriptions
  * Added libjuff0.10 and libjuffed-engine-qsci0.10
  * Removed outdated and false manpage
  * Fixed juffed-dev.install
  * Fixed juffed.install 
  * Fixed juffed-plugins.install
  * Added libjuff0.10.install and libjuff0.10.symbols
  * Added libjuffed-engine-qsci0.10.install and
    libjuffed-engine-qsci0.10.symbols
  * Fixed debian/rules - build with Qt5, hardening
  * Fixed the copyright format line 
  * Fixed upstream-name and source in copyright
  * Fixed watch file
  * Fixed debian/copyrights
  * Added LGPL-2.1-with-Nokia-Qt-LGPL-Exception-version-1.1-or-GPL-3
    to copyrights
  * Fixed package descriptions.
  * Added lintian-override for missed man-page
  * Override missed man-page
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Added terminal support
  * Applied two upstream patches by Philipp Wiesemann <philipp.wiesemann@arcor.de>

 -- Alf Gaida <agaida@siduction.org>  Sat, 20 Aug 2016 01:29:16 +0200
