=== debian/control ===
Source: juffed
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libenca-dev,
               libqt5scintilla2-dev,
               libqtermwidget5-0-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/juffed.git
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/juffed.git
Homepage: http://juffed.com

Package: juffed
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libjuff0.10 (= ${binary:Version}),
         libjuffed-engine-qsci0.10 (= ${binary:Version})
Recommends: enca
Description: Lightweight yet powerful Qt text editor
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the JuffEd editor.

Package: juffed-dev
Architecture: any
Section: devel
Depends: ${misc:Depends},
         juffed (= ${binary:Version})
Description: Lightweight yet powerful Qt text editor - development files
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains development files for plugin building.

Package: juffed-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         juffed (= ${binary:Version})
Description: Lightweight yet powerful Qt text editor - plugins
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the following plugins:
  * Autosave
  * Color Picker
  * Document List
  * Favorites
  * Find In Files
  * File manager
  * Key bindings
  * Sort Document
  * Symbol Browser
  * Terminal
  * XML Formatter

Package: libjuff0.10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: juffed (<< ${binary:Version})
Replaces: juffed (= ${binary:Version})
Description: Lightweight yet powerful Qt text editor - libjuff0.10
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the shared library libjuff0.10.

Package: libjuffed-engine-qsci0.10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: juffed (<< ${binary:Version})
Replaces: juffed (= ${binary:Version})
Description: Lightweight yet powerful Qt text editor - libjuffed-engine-qsci0.10
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the shared library libjuffed-engine-qsci0.10.
