=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE=1

export USE_QT5=true
export USE_SYSTEM_SINGLETON=false
export USE_ENCA=true
export LC_ALL=C.UTF-8

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \
		--fail-missing \
		--parallel \
		--builddirectory=./build

override_dh_auto_configure:
	dh_auto_configure --\
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)\
		-DBUILD_TERMINAL=ON\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo
