=== debian/watch ===
version=3
https://github.com/mezomish/juffed/releases .*/([\d\.]+).tar.gz
